<?

class Left_panel {

	static function view_messages() {
		GLOBAL $log, $Ui_thread, $INFO, $Analize_autochoice;


		// видимость сообщения "обработка еще не закончена"
		$view = false;
		if(!$Ui_thread->is_run) {
			if(!empty($INFO['stop_time_thread'])) {
				if(time() - $INFO['stop_time_thread'] > 1) {
					if(	$INFO['step'] == READ_BLOCKS or
						$INFO['step'] == ANALIZE_BLOCKS or
						$INFO['step'] == FINAL_OPERATIONS)
					{
						if($Analize_autochoice->get_status() != 'process') {
							$view = true;
						}
					}
				}
			}
		}

		$msg_no_finish = c('Fm->msg_optimizate_no_finish');
		if($msg_no_finish->visible != $view)
			$msg_no_finish->visible = $view;

		
		// видимость сообщения о том что диск забит тестовыми файлами
		if($INFO['step'] == CREATE_BLOCKS and $INFO['procent'] > 0)
			$view = true;		
		elseif($INFO['step'] == CREATE_BLOCKS or $INFO['step'] == FINAL_BLOCKS)
			$view = false;	
		else 
			$view = true;

		if(!empty($INFO['create_blocks.mode_onli_cleaning'])) 
			$view = false;

		$msg = c('Fm->msg_disk_full_test_files');
		if($msg->visible != $view)
			$msg->visible = $view;

		//$log->line("Видимость msg_disk_full_test_files: " . var_dump_str($view));

	}
}







?>